## fonts-jura 5.206+ds

=== Makefile ===
SOURCES=$(shell yq e '.sources.[] | sub("^","sources/")' sources/config.yaml )
FAMILY=$(shell yq e '.familyName' sources/config.yaml )

help:
	@echo "###"
	@echo "# Build targets for $(FAMILY)"
	@echo "###"
	@echo
	@echo "  make build: Builds the fonts and places them in the fonts/ directory"
	@echo "  make test:  Tests the fonts with fontbakery"
	@echo "  make proof: Creates HTML proof documents in the proof/ directory"
	@echo

build: build.stamp sources/config.yaml $(SOURCES)

venv: venv/touchfile

build.stamp: venv
	. venv/bin/activate; gftools builder sources/config.yaml && touch build.stamp
	
venv/touchfile: requirements.txt
	test -d venv || python3 -m venv venv
	. venv/bin/activate; pip install -Ur requirements.txt
	touch venv/touchfile

test: venv build.stamp
	. venv/bin/activate; fontbakery check-googlefonts --html fontbakery-report.html --ghmarkdown fontbakery-report.md $(shell find fonts -type f)

proof: venv build.stamp
	. venv/bin/activate; diffenator2 proof $(shell find fonts/ttf -type f) -o proof

clean:
	rm -rf venv
	find -iname "*.pyc" -delete

=== requirements.txt ===
fontmake>=3.9.0
fontbakery>=0.7
gftools[qa]>=0.9.54
sh>=2.0.6
diffenator2>=0.3.8
pycairo>=1.11.0

## fonts-jura 2.6.1

=== debian/changelog ===
fonts-jura (2.6.1-2) unstable; urgency=low

  * Team upload
  * Update Standards to 3.9.5 (checked)
  * Bump debhelper compatibility to 9
  * Drop ttf-jura transitional package
  * Add Multi-Arch: foreign field
  * Use Breaks instead of Conflicts. Drop Provides as it is no
    longer needed (installations should have transitioned since wheezy
    and the package has anyway no reverse dependency.
  * Use xz extreme compression for deb packages
  * Use git for packaging: adapt Vcs-* fields

 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Jan 2014 18:59:14 +0100

fonts-jura (2.6.1-1) unstable; urgency=low

  * New upstream version.
  * Move this package under pkg-fonts team maintenance.
  * Rename source package to "fonts-jura" to fit the Font Packages Naming
    Policy.
  * debian/control: change section x11 to fonts.
  * Bump debhelper version to 8.
  * Bump standards version to 3.9.2.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 02 Sep 2011 16:14:39 +0200

ttf-jura (2.4-1) unstable; urgency=low

  * New upstream version.
  * Updated the homepage.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 07 Mar 2009 18:12:21 +0100

ttf-jura (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #512638)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 22 Jan 2009 15:09:26 +0100

=== debian/control ===
Source: fonts-jura
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 9~)
Standards-Version: 3.9.5
Homepage: http://io.debian.net/~danielj/jura/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-jura.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-jura.git;a=summary

Package: fonts-jura
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-jura (<< 2.6-1)
Breaks: ttf-jura (<< 2.6-1)
Description: monospaced, sans-serif font
 This font remembers of a typewrite font without the serifs. The latin letters
 assume pretty much of a "Swiss" feel, so the font was named after the Jura
 region on the border between France and Switzerland.
 .
 Almost all of the Latin-1 range is represented (omitting only superscript
 numerals, fractions, and the pilcrow).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

## fonts-jura 5.103

=== debian/changelog ===
fonts-jura (5.103-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Bump debhelper version to 13, drop d/compat.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Jun 2024 17:58:32 +0000

fonts-jura (5.103-3) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Fix description. (Closes: #960830)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 22 May 2020 10:29:30 +0200

fonts-jura (5.103-2) unstable; urgency=medium

  * Bump standards version to 4.4.1.
  * d/watch: added.
  * Add Vcs fields.
  * d/source/options: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 27 Nov 2019 13:13:47 +0100

fonts-jura (5.103-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: b-d on ttfautohint, and fontmake.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 23 Nov 2018 13:52:38 +0100

fonts-jura (2.6.1-3) unstable; urgency=medium

  * Update my name.
  * Update homepage.
  * Bump standards version to 4.1.3.
  * Bump debhelper version to 11.
  * Fix lintian error: xz-compression-level-too-high.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Feb 2018 20:52:10 +0100

=== debian/control ===
Source: fonts-jura
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), ttfautohint, fontmake
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-jura.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-jura
Homepage: https://github.com/alexeiva/jura

Package: fonts-jura
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-jura (<< 2.6-1)
Breaks: ttf-jura (<< 2.6-1)
Description: typewrite like sans-serif font
 This font remembers of a typewrite font without the serifs. The latin letters
 assume pretty much of a "Swiss" feel, so the font was named after the Jura
 region on the border between France and Switzerland.
 .
 Almost all of the Latin-1 range is represented (omitting only superscript
 numerals, fractions, and the pilcrow).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	fontmake -i -o otf -g sources/Jura.glyphs

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/alexeiva/jura/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## fonts-jura 5.206+ds

=== debian/changelog ===
fonts-jura (5.206+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: disable tests as they require internet.
  * d/watch: upgrade to version 5.
  * Bump standards version to 4.7.2.
  * d/copyright: bump year.
  * d/README.source: updated.

 -- Alex Myczko <tar@debian.org>  Thu, 11 Dec 2025 10:44:28 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), ttfautohint, fontmake
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-jura.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-jura
 Homepage: https://github.com/alexeiva/jura

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_auto_build:
 	fontmake -i -o otf -g sources/Jura.glyphs
+
+override_dh_auto_test:
+	@echo tests want internet

=== debian/watch ===
Version: 5

# GitHub hosted projects
Template: Github
Owner: alexeiva
Project: jura
Update-Script: uupdate
